Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class ColumnModelListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.ColumnModelListenerAdapter

All Implemented Interfaces:
  ColumnModelListener

    public class ColumnModelListenerAdapter

extends java.lang.Object
implements ColumnModelListener

Constructor Summary
`ColumnModelListenerAdapter()`

Method Summary
`void` | `onColumnLockChange(ColumnModel cm, int colIndex, boolean locked)` Fires when a column's locked state is changed.
`void` | `onColumnMoved(ColumnModel cm, int oldIndex, int newIndex)` Fires when a column is moved.
`void` | `onHeaderChange(ColumnModel cm, int columnIndex, java.lang.String newText)` Fires when the text of a header changes.
`void` | `onHiddenChange(ColumnModel cm, int colIndex, boolean hidden)` Fires when a column is hidden or "unhidden".
`void` | `onWidthChange(ColumnModel cm, int colIndex, int newWidth)` Fires when the width of a column changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnModelListenerAdapter

    public ColumnModelListenerAdapter()

Method Detail

### onColumnLockChange

    public void onColumnLockChange(ColumnModel cm,
                                   int colIndex,
                                   boolean locked)

  Description copied from interface: `ColumnModelListener`
  Fires when a column's locked state is changed.

  Specified by:
    `onColumnLockChange` in interface `ColumnModelListener`
  Parameters:
    `cm` - this
    `colIndex` - the column index
    `locked` - true if locked

### onColumnMoved

    public void onColumnMoved(ColumnModel cm,
                              int oldIndex,
                              int newIndex)

  Description copied from interface: `ColumnModelListener`
  Fires when a column is moved.

  Specified by:
    `onColumnMoved` in interface `ColumnModelListener`
  Parameters:
    `cm` - this
    `oldIndex` - the old column index
    `newIndex` - the new column index

### onHeaderChange

    public void onHeaderChange(ColumnModel cm,
                               int columnIndex,
                               java.lang.String newText)

  Description copied from interface: `ColumnModelListener`
  Fires when the text of a header changes.

  Specified by:
    `onHeaderChange` in interface `ColumnModelListener`
  Parameters:
    `cm` - this
    `columnIndex` - the column index
    `newText` - the new header text

### onHiddenChange

    public void onHiddenChange(ColumnModel cm,
                               int colIndex,
                               boolean hidden)

  Description copied from interface: `ColumnModelListener`
  Fires when a column is hidden or "unhidden".

  Specified by:
    `onHiddenChange` in interface `ColumnModelListener`
  Parameters:
    `cm` - this
    `colIndex` - the column index
    `hidden` - true if hidden, false otherwise

### onWidthChange

    public void onWidthChange(ColumnModel cm,
                              int colIndex,
                              int newWidth)

  Description copied from interface: `ColumnModelListener`
  Fires when the width of a column changes.

  Specified by:
    `onWidthChange` in interface `ColumnModelListener`
  Parameters:
    `cm` - this
    `colIndex` - the column index
    `newWidth` - the new width

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD